/*
 * BGBG/GRGR Bayer-mask pixel processing defines.
 * This is the style of Bayer mask used in the Omnivison OV2610/OV3610 sensors.
 *
 * Copyright (c) 2004 Steve Hosgood <steve@caederus.com> Jul-Nov 2004
 *
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version. NO WARRANTY OF ANY KIND is expressed or implied.
 */


# ifndef _BAYER_BGBG_GRGR_H_
# define _BAYER_BGBG_GRGR_H_

# include	"bayer.h"

/*
 * The bayer functions have a typedef of bayer_f.
 */
 
extern bayer_f		bayer_decode_BGBG_GRGR_8;
extern bayer_f		bayer_decode_BGBG_GRGR_16;

# ifdef MODULE
EXPORT_SYMBOL(bayer_decode_BGBG_GRGR_8);
EXPORT_SYMBOL(bayer_decode_BGBG_GRGR_16);
# endif

# endif /* _BAYER_BGBG_GRGR_H_ */
